Skala
Stock variant options

Replace a stock variant option

Completely replaces the data of an existing stock variant option with the provided payload.

PUT
/api/stock_variant_options/{id}

Completely replaces the data of an existing stock variant option with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockVariantOption identifier

Request Body

application/json

The updated StockVariantOption resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_variant_options/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "name": "string",
  "stock": "/entity/1",
  "optionValues": [
    {
      "id": 0,
      "name": "string",
      "variantOption": {}
    }
  ]
}
Empty
Empty
Empty